Bug 1728708 - [RFE] Add m5ad, m5.metal, md5.metal, r5.metal, r5ad, r5d.metal and z1d.metal AWS instance types to CFME
Summary: [RFE] Add m5ad, m5.metal, md5.metal, r5.metal, r5ad, r5d.metal and z1d.metal ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.8
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1705565
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 14:01 UTC by Satoe Imaishi
Modified: 2019-08-13 08:35 UTC (History)
6 users (show)

Fixed In Version: 5.10.8.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1705565
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 21:38:57 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/7ff93bc57f16a12310884ca57f213cc66fdd284e
commit 7ff93bc57f16a12310884ca57f213cc66fdd284e
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu May  9 21:44:41 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu May  9 21:44:41 2019 -0400

    Merge pull request #532 from AlexanderZagaynov/BZ-1705565_new_regions_and_instance_types

    new regions and instance types

    (cherry picked from commit 9d1567e0816e583493924a13b4419b109d23d3a9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703474
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1728708
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 app/models/manageiq/providers/amazon/regions.rb | 12 +
 config/settings.yml | 2 +
 db/fixtures/aws_instance_types.yml | 2251 +-
 db/fixtures/aws_regions.yml | 8 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 spec/models/manageiq/providers/amazon/regions_spec.rb | 31 +-
 spec/vcr_cassettes/manageiq/providers/amazon/regions.yml | 16 +-
 8 files changed, 2017 insertions(+), 307 deletions(-)

Comment 3 Matouš Mojžíš 2019-08-05 12:52:39 UTC
Verified in 5.10.8.0.
r5d.metal and z1d.metal are still not in CFME.
I created new BZ where these two instance types are included: https://bugzilla.redhat.com/show_bug.cgi?id=1724686

Comment 5 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.